Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpFileTransferNamesAndCommandsGet

    java.lang.Object
      com.stc.eways.batchext.FtpFileTransferNamesAndCommands
          com.stc.eways.batchext.FtpFileTransferNamesAndCommandsGet

All Implemented Interfaces:
  TransferNamesAndCommands, java.io.Serializable

    public class FtpFileTransferNamesAndCommandsGet

extends FtpFileTransferNamesAndCommands

This class is used to access the resolved transfer names and transfer commands for Batch Ftp "get" operation.

Version:
  cvs revision: $Revision: 1.10 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LOGGER_NAME`

Fields inherited from class com.stc.eways.batchext.FtpFileTransferNamesAndCommands
`append, cleanupOnPutFailure, etd, postDirectoryName, postFileName, postTransferCommand, preDirectoryName, preFileName, preTransferCommand, sequencePersistDir, targetDirectoryName, targetFileName`

Constructor Summary
`FtpFileTransferNamesAndCommandsGet(FtpETD etd)` Constructs a new FtpFileTransferNamesAndCommandsGet object.
`FtpFileTransferNamesAndCommandsGet(FtpFileTransferNamesAndCommandsGet original, FtpFileConfiguration config)` copy constructor since we don't have setters and we need to change some of the attributes dynamically

Method Summary
`void` | `resolveTargetLocation()` Resolves Target Location Names.

Methods inherited from class com.stc.eways.batchext.FtpFileTransferNamesAndCommands
`getAppend, getCleanupOnPutFailure, getPostDirectoryName, getPostFileName, getPostTransferCommand, getPreDirectoryName, getPreFileName, getPreTransferCommand, getTargetDirectoryName, getTargetFileName, resolvePostTransfer, resolvePreTransfer, setCleanupOnPutFailure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER_NAME

    public static final java.lang.String LOGGER_NAME

See Also:
  Constant Field Values

Constructor Detail

### FtpFileTransferNamesAndCommandsGet

    public FtpFileTransferNamesAndCommandsGet(FtpETD etd)

  Constructs a new FtpFileTransferNamesAndCommandsGet object.

  Parameters:
    `etd` - FtpETD object.

### FtpFileTransferNamesAndCommandsGet

    public FtpFileTransferNamesAndCommandsGet(FtpFileTransferNamesAndCommandsGet original,
                                              FtpFileConfiguration config)

  copy constructor since we don't have setters and we need to change some of the attributes dynamically

Method Detail

### resolveTargetLocation

    public void resolveTargetLocation()
                               throws FtpFileException

  Resolves Target Location Names.

  Specified by:
    `resolveTargetLocation` in interface `TransferNamesAndCommands`
  Overrides:
    `resolveTargetLocation` in class `FtpFileTransferNamesAndCommands`
  Throws:
    `FtpFileException` - If some error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD